package com.glxp.api.admin.dao.inventory;

import com.glxp.api.admin.entity.inventory.InvWarehouseEntity;
import com.glxp.api.admin.req.inventory.FilterInvWarehouseRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface InvWarehouseDao {

    List<InvWarehouseEntity> filterInvWarehouse(FilterInvWarehouseRequest filterInvWarehouseRequest);

    List<InvWarehouseEntity> filterGroupInvWarehouse(FilterInvWarehouseRequest filterInvWarehouseRequest);

    boolean insertInvWarehouse(InvWarehouseEntity InvWarehouseEntity);

    boolean updateInvWarehouse(InvWarehouseEntity InvWarehouseEntity);

    InvWarehouseEntity selectById(@Param("id") String id);

    boolean deleteById(@Param("id") String id);

    /**
     * 更新第三方仓库ID
     *
     * @param id
     * @param thridWarehouseId
     * @return
     */
    boolean updateThridId(@Param("id") Integer id, @Param("thridWarehouseId") Integer thridWarehouseId);

    /**
     * 更新第三方仓库ID
     *
     * @param id
     * @param thridWarehouseId
     * @param sysId
     * @return
     */
    boolean updateThridId(Integer id, Integer thridWarehouseId, String sysId);
}
