package com.glxp.api.admin.dao.auth;

import com.glxp.api.admin.entity.auth.AuthAdmin;
import com.glxp.api.admin.entity.auth.AuthCheckEntity;
import com.glxp.api.admin.req.auth.AuthCheckRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AuthCheckDao {

    List<AuthCheckEntity> filterDevices(AuthCheckRequest authCheckRequest);

    AuthCheckEntity findByMachine(String machineInfo);

    boolean insertDevices(AuthCheckEntity authCheckEntity);

    boolean updateDevices(AuthCheckEntity authCheckEntity);


}
