package com.glxp.api.admin.dao.thrsys;

import com.glxp.api.admin.entity.thrsys.ThrInvWarehouseEntity;
import com.glxp.api.admin.req.thrsys.FilterThrInvWarehouseRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ThrInvWarehouseDao {

    List<ThrInvWarehouseEntity> filterThrInvWarehouse(FilterThrInvWarehouseRequest filterThrInvWarehouseRequest);

    List<ThrInvWarehouseEntity> filterThrGroupInvWarehouse(FilterThrInvWarehouseRequest filterThrInvWarehouseRequest);

    boolean insertThrInvWarehouse(ThrInvWarehouseEntity thrInvWarehouseEntity);

    boolean updateThrInvWarehouse(ThrInvWarehouseEntity thrInvWarehouseEntity);

    ThrInvWarehouseEntity selectById(@Param("id") String id);

    boolean deleteById(@Param("id") String id);

    /**
     * 根据code查询第三方仓库数据
     *
     * @param code
     * @return
     */
    ThrInvWarehouseEntity selectByCode(@Param("code") String code);
}
