package com.glxp.api.admin.service.auth;

import com.glxp.api.admin.entity.auth.AuthCheckEntity;
import com.glxp.api.admin.req.auth.AuthCheckRequest;
import org.springframework.stereotype.Service;

import java.util.List;

public interface AuthCheckService {

    AuthCheckEntity findByMachine(String machineInfo);

    List<AuthCheckEntity> filterDevices(AuthCheckRequest authCheckRequest);

    boolean insertDevices(AuthCheckEntity authCheckEntity);

    boolean updateDevices(AuthCheckEntity authCheckEntity);
}
