package com.glxp.api.admin.service.info;


import com.glxp.api.admin.entity.basic.CompanyProductRelevanceEntity;
import com.glxp.api.admin.req.basic.CompanyProductRelevanceRequest;
import com.glxp.api.admin.req.basic.FilterCompanyProductRelevanceRequest;
import com.glxp.api.admin.res.info.CompanyProductRelevanceResponse;

import java.util.List;

public interface CompanyProductRelevanceService {

    List<CompanyProductRelevanceResponse> filterUdiGp(CompanyProductRelevanceRequest basicInstrumentMaintainRequest);

    List<CompanyProductRelevanceEntity> filterCompanyProductRelevance(FilterCompanyProductRelevanceRequest filterCompanyProductRelevanceRequest);

    CompanyProductRelevanceEntity findCompanyProductRelevance(Long CustomerId);

    CompanyProductRelevanceEntity findCompanyProductRelevanceByProductId(String productId);

    CompanyProductRelevanceEntity findCompanyProductRelevanceByUdiRlIdFk(String udiRlIdFk, String customerId);

    CompanyProductRelevanceEntity findByUdiRlIdUnitFk(String udiRlIdFk, String unitFk);

    CompanyProductRelevanceEntity findCompanyProductRelevanceByProductUuid(CompanyProductRelevanceEntity companyProductRelevanceEntity);

    List<CompanyProductRelevanceEntity> getCompanyProductRelevance(FilterCompanyProductRelevanceRequest filterCompanyProductRelevanceRequest);

    boolean updateCompanyProductRelevance(CompanyProductRelevanceEntity companyCertEntity);

    boolean insertCompanyProductRelevance(CompanyProductRelevanceEntity companyCertEntity);

    boolean deleteById(String id);

    boolean deleteByRlId(String id);
}
