package com.glxp.api.admin.service.info;


import com.glxp.api.admin.entity.info.SystemPDFTemplateRelevanceEntity;
import com.glxp.api.admin.req.itextpdf.SystemPDFTemplateRelevanceRequest;
import com.glxp.api.admin.res.basic.SystemPDFTemplateRelevanceResponse;

import java.util.List;

public interface SystemPDFTemplateRelevanceService {

    List<SystemPDFTemplateRelevanceResponse> filterList(SystemPDFTemplateRelevanceRequest systemPDFModuleRequest);

    List<SystemPDFTemplateRelevanceEntity> listByCustomerId(Long customerId);

    List<SystemPDFTemplateRelevanceEntity> listByCustomerIdIn(List<Long> customerIds);

    List<SystemPDFTemplateRelevanceEntity> listByTemplateId(int templateId);

    int insertSystemPDFTemplateRelevanceAll(List<SystemPDFTemplateRelevanceEntity> systemPDFTemplateRelevanceEntityList);

    boolean insert(SystemPDFTemplateRelevanceEntity systemPDFTemplateRelevanceEntity);

    int insertRolesCustomerIdAll(List<Integer> templates, Long customerId);

    boolean deleteByCustomerId(Integer customerId);

    boolean udpateRl(SystemPDFTemplateRelevanceEntity systemPDFTemplateRelevanceEntity);

}
